#include <iostream>
#include <cmath>
using namespace std;
long long int naj(int x)
{
    long long int b=x;
    int t=0;
    while (b>0)
    {
        b=b/10;
        t++;
    }
if(x>=5*pow(10,t-1)) 
{
x=x-5*pow(10,t-1);
}
else
{
    if(x>=2*pow(10,t-1))
    {
        x=x-2*pow(10,t-1);
    }
    else
    {
        if(x<=2*pow(10,t-1)) x=x-1*pow(10,t-1);
    }
}
return x;
    
    
}
int main()
{
  long long int a;
    cin >> a;
    int t=0;
    long long int c=a;
    while(c>0)
    {
        c=naj(c);
        t++;
    }
cout<< t << endl;
    return 0;
}